Skip to main content
PUT
/
v1
/
workflows
/
{workflow_permanent_id}
/
schedules
/
{workflow_schedule_id}
Update a schedule
curl --request PUT \
  --url https://api.skyvern.com/v1/workflows/{workflow_permanent_id}/schedules/{workflow_schedule_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "cron_expression": "<string>",
  "timezone": "<string>",
  "enabled": true,
  "parameters": {},
  "name": "<string>",
  "description": "<string>"
}
'
{
  "schedule": {
    "workflow_schedule_id": "<string>",
    "organization_id": "<string>",
    "workflow_permanent_id": "<string>",
    "cron_expression": "<string>",
    "timezone": "<string>",
    "enabled": true,
    "created_at": "2023-11-07T05:31:56Z",
    "modified_at": "2023-11-07T05:31:56Z",
    "parameters": {},
    "temporal_schedule_id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "deleted_at": "2023-11-07T05:31:56Z"
  },
  "next_runs": [
    "2023-11-07T05:31:56Z"
  ]
}

Headers

x-api-key
string | null

Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.

Path Parameters

workflow_permanent_id
string
required
workflow_schedule_id
string
required

Body

application/json
cron_expression
string
required
timezone
string
required
enabled
boolean
default:true
parameters
Parameters · object
name
string | null
description
string | null

Response

Successful Response

schedule
WorkflowSchedule · object
required
next_runs
string<date-time>[]